gl-comp.m4 17 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601
  1. # DO NOT EDIT! GENERATED AUTOMATICALLY!
  2. # Copyright (C) 2002-2011 Free Software Foundation, Inc.
  3. #
  4. # This file is free software; you can redistribute it and/or modify
  5. # it under the terms of the GNU General Public License as published by
  6. # the Free Software Foundation; either version 3 of the License, or
  7. # (at your option) any later version.
  8. #
  9. # This file is distributed in the hope that it will be useful,
  10. # but WITHOUT ANY WARRANTY; without even the implied warranty of
  11. # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  12. # GNU General Public License for more details.
  13. #
  14. # You should have received a copy of the GNU General Public License
  15. # along with this file. If not, see <http://www.gnu.org/licenses/>.
  16. #
  17. # As a special exception to the GNU General Public License,
  18. # this file may be distributed as part of a program that
  19. # contains a configuration script generated by Autoconf, under
  20. # the same distribution terms as the rest of that program.
  21. #
  22. # Generated by gnulib-tool.
  23. #
  24. # This file represents the compiled summary of the specification in
  25. # gnulib-cache.m4. It lists the computed macro invocations that need
  26. # to be invoked from configure.ac.
  27. # In projects that use version control, this file can be treated like
  28. # other built files.
  29. # This macro should be invoked from ./configure.in, in the section
  30. # "Checks for programs", right after AC_PROG_CC, and certainly before
  31. # any checks for libraries, header files, types and library functions.
  32. AC_DEFUN([gl_EARLY],
  33. [
  34. m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
  35. m4_pattern_allow([^gl_ES$])dnl a valid locale name
  36. m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
  37. m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
  38. AC_REQUIRE([gl_PROG_AR_RANLIB])
  39. # Code from module alloca-opt:
  40. # Code from module allocator:
  41. # Code from module careadlinkat:
  42. # Code from module crypto/md5:
  43. # Code from module crypto/sha1:
  44. # Code from module crypto/sha256:
  45. # Code from module crypto/sha512:
  46. # Code from module dosname:
  47. # Code from module dtoastr:
  48. # Code from module dup2:
  49. # Code from module extensions:
  50. AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
  51. # Code from module filemode:
  52. # Code from module getloadavg:
  53. # Code from module getopt-gnu:
  54. # Code from module getopt-posix:
  55. # Code from module gettext-h:
  56. # Code from module ignore-value:
  57. # Code from module include_next:
  58. # Code from module intprops:
  59. # Code from module inttypes-incomplete:
  60. # Code from module largefile:
  61. AC_REQUIRE([AC_SYS_LARGEFILE])
  62. # Code from module lstat:
  63. # Code from module mktime:
  64. # Code from module multiarch:
  65. # Code from module nocrash:
  66. # Code from module pathmax:
  67. # Code from module pthread_sigmask:
  68. # Code from module readlink:
  69. # Code from module signal-h:
  70. # Code from module sigprocmask:
  71. # Code from module snippet/_Noreturn:
  72. # Code from module snippet/arg-nonnull:
  73. # Code from module snippet/c++defs:
  74. # Code from module snippet/warn-on-use:
  75. # Code from module socklen:
  76. # Code from module ssize_t:
  77. # Code from module stat:
  78. # Code from module stdarg:
  79. dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
  80. dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
  81. dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
  82. dnl shouldn't hurt, though installers are on their own to set c99 mode.
  83. gl_PROG_CC_C99
  84. # Code from module stdbool:
  85. # Code from module stddef:
  86. # Code from module stdint:
  87. # Code from module stdio:
  88. # Code from module stdlib:
  89. # Code from module strftime:
  90. # Code from module strtoimax:
  91. # Code from module strtoll:
  92. # Code from module strtoull:
  93. # Code from module strtoumax:
  94. # Code from module symlink:
  95. # Code from module sys_stat:
  96. # Code from module time:
  97. # Code from module time_r:
  98. # Code from module u64:
  99. # Code from module unistd:
  100. # Code from module verify:
  101. ])
  102. # This macro should be invoked from ./configure.in, in the section
  103. # "Check for header files, types and library functions".
  104. AC_DEFUN([gl_INIT],
  105. [
  106. AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
  107. gl_cond_libtool=false
  108. gl_libdeps=
  109. gl_ltlibdeps=
  110. gl_m4_base='m4'
  111. m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
  112. m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
  113. m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
  114. m4_pushdef([gl_LIBSOURCES_LIST], [])
  115. m4_pushdef([gl_LIBSOURCES_DIR], [])
  116. gl_COMMON
  117. gl_source_base='lib'
  118. gl_FUNC_ALLOCA
  119. AC_CHECK_FUNCS_ONCE([readlinkat])
  120. gl_MD5
  121. gl_SHA1
  122. gl_SHA256
  123. gl_SHA512
  124. AC_REQUIRE([gl_C99_STRTOLD])
  125. gl_FUNC_DUP2
  126. if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
  127. AC_LIBOBJ([dup2])
  128. gl_PREREQ_DUP2
  129. fi
  130. gl_UNISTD_MODULE_INDICATOR([dup2])
  131. gl_FILEMODE
  132. gl_GETLOADAVG
  133. if test $HAVE_GETLOADAVG = 0; then
  134. AC_LIBOBJ([getloadavg])
  135. gl_PREREQ_GETLOADAVG
  136. fi
  137. gl_STDLIB_MODULE_INDICATOR([getloadavg])
  138. gl_FUNC_GETOPT_GNU
  139. if test $REPLACE_GETOPT = 1; then
  140. AC_LIBOBJ([getopt])
  141. AC_LIBOBJ([getopt1])
  142. gl_PREREQ_GETOPT
  143. fi
  144. gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
  145. gl_FUNC_GETOPT_POSIX
  146. if test $REPLACE_GETOPT = 1; then
  147. AC_LIBOBJ([getopt])
  148. AC_LIBOBJ([getopt1])
  149. gl_PREREQ_GETOPT
  150. fi
  151. AC_REQUIRE([AC_C_INLINE])
  152. gl_INTTYPES_INCOMPLETE
  153. gl_FUNC_LSTAT
  154. if test $REPLACE_LSTAT = 1; then
  155. AC_LIBOBJ([lstat])
  156. gl_PREREQ_LSTAT
  157. fi
  158. gl_SYS_STAT_MODULE_INDICATOR([lstat])
  159. gl_FUNC_MKTIME
  160. if test $REPLACE_MKTIME = 1; then
  161. AC_LIBOBJ([mktime])
  162. gl_PREREQ_MKTIME
  163. fi
  164. gl_TIME_MODULE_INDICATOR([mktime])
  165. gl_MULTIARCH
  166. gl_FUNC_PTHREAD_SIGMASK
  167. if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
  168. AC_LIBOBJ([pthread_sigmask])
  169. gl_PREREQ_PTHREAD_SIGMASK
  170. fi
  171. gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
  172. gl_FUNC_READLINK
  173. if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
  174. AC_LIBOBJ([readlink])
  175. gl_PREREQ_READLINK
  176. fi
  177. gl_UNISTD_MODULE_INDICATOR([readlink])
  178. gl_SIGNAL_H
  179. gl_TYPE_SOCKLEN_T
  180. gt_TYPE_SSIZE_T
  181. gl_STDARG_H
  182. AM_STDBOOL_H
  183. gl_STDDEF_H
  184. gl_STDINT_H
  185. gl_STDIO_H
  186. gl_STDLIB_H
  187. gl_FUNC_GNU_STRFTIME
  188. gl_FUNC_STRTOIMAX
  189. if test $ac_cv_func_strtoimax = no; then
  190. AC_LIBOBJ([strtoimax])
  191. gl_PREREQ_STRTOIMAX
  192. fi
  193. gl_INTTYPES_MODULE_INDICATOR([strtoimax])
  194. gl_FUNC_STRTOUMAX
  195. if test $ac_cv_func_strtoumax = no; then
  196. AC_LIBOBJ([strtoumax])
  197. gl_PREREQ_STRTOUMAX
  198. fi
  199. gl_INTTYPES_MODULE_INDICATOR([strtoumax])
  200. gl_FUNC_SYMLINK
  201. if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
  202. AC_LIBOBJ([symlink])
  203. fi
  204. gl_UNISTD_MODULE_INDICATOR([symlink])
  205. gl_HEADER_SYS_STAT_H
  206. AC_PROG_MKDIR_P
  207. gl_HEADER_TIME_H
  208. gl_TIME_R
  209. if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
  210. AC_LIBOBJ([time_r])
  211. gl_PREREQ_TIME_R
  212. fi
  213. gl_TIME_MODULE_INDICATOR([time_r])
  214. AC_REQUIRE([AC_C_INLINE])
  215. gl_UNISTD_H
  216. gl_gnulib_enabled_dosname=false
  217. gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
  218. gl_gnulib_enabled_pathmax=false
  219. gl_gnulib_enabled_sigprocmask=false
  220. gl_gnulib_enabled_stat=false
  221. gl_gnulib_enabled_strtoll=false
  222. gl_gnulib_enabled_strtoull=false
  223. gl_gnulib_enabled_verify=false
  224. func_gl_gnulib_m4code_dosname ()
  225. {
  226. if ! $gl_gnulib_enabled_dosname; then
  227. gl_gnulib_enabled_dosname=true
  228. fi
  229. }
  230. func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
  231. {
  232. if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
  233. AC_SUBST([LIBINTL])
  234. AC_SUBST([LTLIBINTL])
  235. gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
  236. fi
  237. }
  238. func_gl_gnulib_m4code_pathmax ()
  239. {
  240. if ! $gl_gnulib_enabled_pathmax; then
  241. gl_PATHMAX
  242. gl_gnulib_enabled_pathmax=true
  243. fi
  244. }
  245. func_gl_gnulib_m4code_sigprocmask ()
  246. {
  247. if ! $gl_gnulib_enabled_sigprocmask; then
  248. gl_SIGNALBLOCKING
  249. if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
  250. AC_LIBOBJ([sigprocmask])
  251. gl_PREREQ_SIGPROCMASK
  252. fi
  253. gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
  254. gl_gnulib_enabled_sigprocmask=true
  255. fi
  256. }
  257. func_gl_gnulib_m4code_stat ()
  258. {
  259. if ! $gl_gnulib_enabled_stat; then
  260. gl_FUNC_STAT
  261. if test $REPLACE_STAT = 1; then
  262. AC_LIBOBJ([stat])
  263. gl_PREREQ_STAT
  264. fi
  265. gl_SYS_STAT_MODULE_INDICATOR([stat])
  266. gl_gnulib_enabled_stat=true
  267. if test $REPLACE_STAT = 1; then
  268. func_gl_gnulib_m4code_dosname
  269. fi
  270. if test $REPLACE_STAT = 1; then
  271. func_gl_gnulib_m4code_pathmax
  272. fi
  273. if test $REPLACE_STAT = 1; then
  274. func_gl_gnulib_m4code_verify
  275. fi
  276. fi
  277. }
  278. func_gl_gnulib_m4code_strtoll ()
  279. {
  280. if ! $gl_gnulib_enabled_strtoll; then
  281. gl_FUNC_STRTOLL
  282. if test $HAVE_STRTOLL = 0; then
  283. AC_LIBOBJ([strtoll])
  284. gl_PREREQ_STRTOLL
  285. fi
  286. gl_STDLIB_MODULE_INDICATOR([strtoll])
  287. gl_gnulib_enabled_strtoll=true
  288. fi
  289. }
  290. func_gl_gnulib_m4code_strtoull ()
  291. {
  292. if ! $gl_gnulib_enabled_strtoull; then
  293. gl_FUNC_STRTOULL
  294. if test $HAVE_STRTOULL = 0; then
  295. AC_LIBOBJ([strtoull])
  296. gl_PREREQ_STRTOULL
  297. fi
  298. gl_STDLIB_MODULE_INDICATOR([strtoull])
  299. gl_gnulib_enabled_strtoull=true
  300. fi
  301. }
  302. func_gl_gnulib_m4code_verify ()
  303. {
  304. if ! $gl_gnulib_enabled_verify; then
  305. gl_gnulib_enabled_verify=true
  306. fi
  307. }
  308. if test $REPLACE_GETOPT = 1; then
  309. func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
  310. fi
  311. if test $REPLACE_LSTAT = 1; then
  312. func_gl_gnulib_m4code_dosname
  313. fi
  314. if test $REPLACE_LSTAT = 1; then
  315. func_gl_gnulib_m4code_stat
  316. fi
  317. if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
  318. func_gl_gnulib_m4code_sigprocmask
  319. fi
  320. if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
  321. func_gl_gnulib_m4code_stat
  322. fi
  323. if test $ac_cv_func_strtoimax = no; then
  324. func_gl_gnulib_m4code_verify
  325. fi
  326. if test $ac_cv_func_strtoimax = no && test $ac_cv_type_long_long_int = yes; then
  327. func_gl_gnulib_m4code_strtoll
  328. fi
  329. if test $ac_cv_func_strtoumax = no; then
  330. func_gl_gnulib_m4code_verify
  331. fi
  332. if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
  333. func_gl_gnulib_m4code_strtoull
  334. fi
  335. m4_pattern_allow([^gl_GNULIB_ENABLED_])
  336. AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
  337. AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
  338. AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
  339. AM_CONDITIONAL([gl_GNULIB_ENABLED_sigprocmask], [$gl_gnulib_enabled_sigprocmask])
  340. AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
  341. AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
  342. AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
  343. AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
  344. # End of code from modules
  345. m4_ifval(gl_LIBSOURCES_LIST, [
  346. m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
  347. for gl_file in ]gl_LIBSOURCES_LIST[ ; do
  348. if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
  349. echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
  350. exit 1
  351. fi
  352. done])dnl
  353. m4_if(m4_sysval, [0], [],
  354. [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
  355. ])
  356. m4_popdef([gl_LIBSOURCES_DIR])
  357. m4_popdef([gl_LIBSOURCES_LIST])
  358. m4_popdef([AC_LIBSOURCES])
  359. m4_popdef([AC_REPLACE_FUNCS])
  360. m4_popdef([AC_LIBOBJ])
  361. AC_CONFIG_COMMANDS_PRE([
  362. gl_libobjs=
  363. gl_ltlibobjs=
  364. if test -n "$gl_LIBOBJS"; then
  365. # Remove the extension.
  366. sed_drop_objext='s/\.o$//;s/\.obj$//'
  367. for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
  368. gl_libobjs="$gl_libobjs $i.$ac_objext"
  369. gl_ltlibobjs="$gl_ltlibobjs $i.lo"
  370. done
  371. fi
  372. AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
  373. AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
  374. ])
  375. gltests_libdeps=
  376. gltests_ltlibdeps=
  377. m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
  378. m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
  379. m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
  380. m4_pushdef([gltests_LIBSOURCES_LIST], [])
  381. m4_pushdef([gltests_LIBSOURCES_DIR], [])
  382. gl_COMMON
  383. gl_source_base='tests'
  384. changequote(,)dnl
  385. gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
  386. changequote([, ])dnl
  387. AC_SUBST([gltests_WITNESS])
  388. gl_module_indicator_condition=$gltests_WITNESS
  389. m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
  390. m4_pattern_allow([^gl_GNULIB_ENABLED_])
  391. m4_popdef([gl_MODULE_INDICATOR_CONDITION])
  392. m4_ifval(gltests_LIBSOURCES_LIST, [
  393. m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
  394. for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
  395. if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
  396. echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
  397. exit 1
  398. fi
  399. done])dnl
  400. m4_if(m4_sysval, [0], [],
  401. [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
  402. ])
  403. m4_popdef([gltests_LIBSOURCES_DIR])
  404. m4_popdef([gltests_LIBSOURCES_LIST])
  405. m4_popdef([AC_LIBSOURCES])
  406. m4_popdef([AC_REPLACE_FUNCS])
  407. m4_popdef([AC_LIBOBJ])
  408. AC_CONFIG_COMMANDS_PRE([
  409. gltests_libobjs=
  410. gltests_ltlibobjs=
  411. if test -n "$gltests_LIBOBJS"; then
  412. # Remove the extension.
  413. sed_drop_objext='s/\.o$//;s/\.obj$//'
  414. for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
  415. gltests_libobjs="$gltests_libobjs $i.$ac_objext"
  416. gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
  417. done
  418. fi
  419. AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
  420. AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
  421. ])
  422. LIBGNU_LIBDEPS="$gl_libdeps"
  423. AC_SUBST([LIBGNU_LIBDEPS])
  424. LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
  425. AC_SUBST([LIBGNU_LTLIBDEPS])
  426. ])
  427. # Like AC_LIBOBJ, except that the module name goes
  428. # into gl_LIBOBJS instead of into LIBOBJS.
  429. AC_DEFUN([gl_LIBOBJ], [
  430. AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
  431. gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
  432. ])
  433. # Like AC_REPLACE_FUNCS, except that the module name goes
  434. # into gl_LIBOBJS instead of into LIBOBJS.
  435. AC_DEFUN([gl_REPLACE_FUNCS], [
  436. m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
  437. AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
  438. ])
  439. # Like AC_LIBSOURCES, except the directory where the source file is
  440. # expected is derived from the gnulib-tool parameterization,
  441. # and alloca is special cased (for the alloca-opt module).
  442. # We could also entirely rely on EXTRA_lib..._SOURCES.
  443. AC_DEFUN([gl_LIBSOURCES], [
  444. m4_foreach([_gl_NAME], [$1], [
  445. m4_if(_gl_NAME, [alloca.c], [], [
  446. m4_define([gl_LIBSOURCES_DIR], [lib])
  447. m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
  448. ])
  449. ])
  450. ])
  451. # Like AC_LIBOBJ, except that the module name goes
  452. # into gltests_LIBOBJS instead of into LIBOBJS.
  453. AC_DEFUN([gltests_LIBOBJ], [
  454. AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
  455. gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
  456. ])
  457. # Like AC_REPLACE_FUNCS, except that the module name goes
  458. # into gltests_LIBOBJS instead of into LIBOBJS.
  459. AC_DEFUN([gltests_REPLACE_FUNCS], [
  460. m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
  461. AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
  462. ])
  463. # Like AC_LIBSOURCES, except the directory where the source file is
  464. # expected is derived from the gnulib-tool parameterization,
  465. # and alloca is special cased (for the alloca-opt module).
  466. # We could also entirely rely on EXTRA_lib..._SOURCES.
  467. AC_DEFUN([gltests_LIBSOURCES], [
  468. m4_foreach([_gl_NAME], [$1], [
  469. m4_if(_gl_NAME, [alloca.c], [], [
  470. m4_define([gltests_LIBSOURCES_DIR], [tests])
  471. m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
  472. ])
  473. ])
  474. ])
  475. # This macro records the list of files which have been installed by
  476. # gnulib-tool and may be removed by future gnulib-tool invocations.
  477. AC_DEFUN([gl_FILE_LIST], [
  478. build-aux/snippet/_Noreturn.h
  479. build-aux/snippet/arg-nonnull.h
  480. build-aux/snippet/c++defs.h
  481. build-aux/snippet/warn-on-use.h
  482. lib/alloca.in.h
  483. lib/allocator.c
  484. lib/allocator.h
  485. lib/careadlinkat.c
  486. lib/careadlinkat.h
  487. lib/dosname.h
  488. lib/dtoastr.c
  489. lib/dup2.c
  490. lib/filemode.c
  491. lib/filemode.h
  492. lib/ftoastr.c
  493. lib/ftoastr.h
  494. lib/getloadavg.c
  495. lib/getopt.c
  496. lib/getopt.in.h
  497. lib/getopt1.c
  498. lib/getopt_int.h
  499. lib/gettext.h
  500. lib/ignore-value.h
  501. lib/intprops.h
  502. lib/inttypes.in.h
  503. lib/lstat.c
  504. lib/md5.c
  505. lib/md5.h
  506. lib/mktime-internal.h
  507. lib/mktime.c
  508. lib/pathmax.h
  509. lib/pthread_sigmask.c
  510. lib/readlink.c
  511. lib/sha1.c
  512. lib/sha1.h
  513. lib/sha256.c
  514. lib/sha256.h
  515. lib/sha512.c
  516. lib/sha512.h
  517. lib/signal.in.h
  518. lib/sigprocmask.c
  519. lib/stat.c
  520. lib/stdarg.in.h
  521. lib/stdbool.in.h
  522. lib/stddef.in.h
  523. lib/stdint.in.h
  524. lib/stdio.in.h
  525. lib/stdlib.in.h
  526. lib/strftime.c
  527. lib/strftime.h
  528. lib/strtoimax.c
  529. lib/strtol.c
  530. lib/strtoll.c
  531. lib/strtoul.c
  532. lib/strtoull.c
  533. lib/strtoumax.c
  534. lib/symlink.c
  535. lib/sys_stat.in.h
  536. lib/time.in.h
  537. lib/time_r.c
  538. lib/u64.h
  539. lib/unistd.in.h
  540. lib/verify.h
  541. m4/00gnulib.m4
  542. m4/alloca.m4
  543. m4/c-strtod.m4
  544. m4/dup2.m4
  545. m4/extensions.m4
  546. m4/filemode.m4
  547. m4/getloadavg.m4
  548. m4/getopt.m4
  549. m4/gnulib-common.m4
  550. m4/include_next.m4
  551. m4/inttypes.m4
  552. m4/largefile.m4
  553. m4/longlong.m4
  554. m4/lstat.m4
  555. m4/md5.m4
  556. m4/mktime.m4
  557. m4/multiarch.m4
  558. m4/nocrash.m4
  559. m4/pathmax.m4
  560. m4/pthread_sigmask.m4
  561. m4/readlink.m4
  562. m4/sha1.m4
  563. m4/sha256.m4
  564. m4/sha512.m4
  565. m4/signal_h.m4
  566. m4/signalblocking.m4
  567. m4/socklen.m4
  568. m4/ssize_t.m4
  569. m4/st_dm_mode.m4
  570. m4/stat.m4
  571. m4/stdarg.m4
  572. m4/stdbool.m4
  573. m4/stddef_h.m4
  574. m4/stdint.m4
  575. m4/stdio_h.m4
  576. m4/stdlib_h.m4
  577. m4/strftime.m4
  578. m4/strtoimax.m4
  579. m4/strtoll.m4
  580. m4/strtoull.m4
  581. m4/strtoumax.m4
  582. m4/symlink.m4
  583. m4/sys_stat_h.m4
  584. m4/time_h.m4
  585. m4/time_r.m4
  586. m4/tm_gmtoff.m4
  587. m4/unistd_h.m4
  588. m4/warn-on-use.m4
  589. m4/wchar_t.m4
  590. ])